Summary: SPARC OpenPROM dump utility
Name: prtconf
Version: 1.3
Release: 9%{?dist}
ExclusiveArch: sparcv9 sparc64
License: GPLv2+
Group: Applications/System
Source: http://www.cs.elte.hu/pub/Linux/sunsite.mff.cuni.cz/prtconf/prtconf-1.3.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://ultra.linux.cz/

%description
This utility will dump SPARC OpenPROM device tree
in the format similar to Solaris prtconf, that is,
in a nicely readable compact format.

%prep
%setup

%build
sed -i '/^CFLAGS/d' Makefile
make CFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 prtconf $RPM_BUILD_ROOT%{_sbindir}/prtconf
install -m 0755 eeprom $RPM_BUILD_ROOT%{_sbindir}/eeprom
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 prtconf.8 $RPM_BUILD_ROOT%{_mandir}/man8/prtconf.8
install -m 0644 eeprom.8 $RPM_BUILD_ROOT%{_mandir}/man8/eeprom.8
# convert from dos to unix
sed -i 's/\r//' examples/ultrabook

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING examples/*
%{_sbindir}/eeprom
%{_sbindir}/prtconf
%{_mandir}/man8/eeprom.8.gz
%{_mandir}/man8/prtconf.8.gz

%changelog
* Fri Feb 15 2008 Dennis Gilmore <dennis@ausil.us> - 1.3-9
- ExclusiveArch sparcv9 and sparc64 

* Sat Jan 19 2008 Dennis Gilmore <dennis@ausil.us> - 1.3-8
- Clean up items for fedora review

* Wed Aug 15 2007 Dennis Gilmore <dennis@ausil.us> - 1.3-7
- fix buildroot, clarify license 

* Thu Jan 27 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3-6
- Bump back to 1.3, revise spec, -5 is the last version in Aurora that I know of.

* Wed Jan 26 2005 Peter Jones <pjones@redhat.com> - 1.2-3
- updated for newer rpm, file locations, etc.

* Sat Nov 28 1998 Jakub Jelinek <jj@ultra.linux.cz>
- buildroot
